# BMA Server Framework: core::Thread Class Reference

core::Thread Class Reference

`#include <Thread.h>`

Inheritance diagram for core::Thread:
[legend]
Collaboration diagram for core::Thread:
[legend]

## Public Member Functions

| Thread (EPoll &ePoll)
void | start ()
void | join ()
std::string | getStatus ()
pid_t | getThreadId ()
int | getCount ()
void | output (std::stringstream &data)

## Additional Inherited Members

Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Detailed Description

Thread

This thread object is designed to be the thread processor for the EPoll object. It wraps the thread object to allow maintaining a status value for monitoring the thread activity. EPoll will instantiate a Thread object for each thread specified in the EPoll's start method.

## Member Function Documentation

## start()

void core::Thread::start | ( |  | ) |

Start the thread object. This will cause the epoll scheduler to commence reading the epoll queue.

The documentation for this class was generated from the following files:

- /home/bradarant/barant/ServerCore/Thread.h
- /home/bradarant/barant/ServerCore/Thread.cpp